Package org.snpeff.interval

# Enum Class TranscriptSupportLevel

java.lang.Object
java.lang.Enum<TranscriptSupportLevel>
org.snpeff.interval.TranscriptSupportLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<TranscriptSupportLevel>`, `Constable`

public enum TranscriptSupportLevel extends Enum<TranscriptSupportLevel>
Transcript level support Reference: http://useast.ensembl.org/Help/Glossary?id=492;redirect=no

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TSL_1`
`TSL_2`
`TSL_3`
`TSL_4`
`TSL_5`
`TSL_NA`
The transcript was not analyzed for one of the following reasons: pseudo-gene annotation, including transcribed pseudo-genes human leukocyte antigen (HLA) transcript immunoglobin gene transcript T-cell receptor transcript single-exon transcript (will be included in a future version)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TSL_NULL_VALUE`

## Method Summary

Modifier and Type
Method
Description
`static TranscriptSupportLevel`
`parse(String str)`
`static int`
`tsl(TranscriptSupportLevel tsl)`
Return TSL level (-1 if not available / invalid)
`static TranscriptSupportLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TranscriptSupportLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TSL_1

public static final TranscriptSupportLevel TSL_1

### TSL_2

public static final TranscriptSupportLevel TSL_2

### TSL_3

public static final TranscriptSupportLevel TSL_3

### TSL_4

public static final TranscriptSupportLevel TSL_4

### TSL_5

public static final TranscriptSupportLevel TSL_5

### TSL_NA

public static final TranscriptSupportLevel TSL_NA
The transcript was not analyzed for one of the following reasons: pseudo-gene annotation, including transcribed pseudo-genes human leukocyte antigen (HLA) transcript immunoglobin gene transcript T-cell receptor transcript single-exon transcript (will be included in a future version)

## Field Details

### TSL_NULL_VALUE

public static final int TSL_NULL_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static TranscriptSupportLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TranscriptSupportLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static TranscriptSupportLevel parse(String str)

### tsl

public static int tsl(TranscriptSupportLevel tsl)
Return TSL level (-1 if not available / invalid)